/**
 * @file
 * cookiepro-plus-bypass.js
 */

(function ($, Drupal) {
  'use strict';

  /**
   * Drupal behaviors.
   *
   * @type {{attach: Drupal.cookiepro_plus_bypass.attach}}
   */
  Drupal.behaviors.cookiepro_plus_bypass = {

    attach: function (context, drupalSettings) {
      $(window).once('cookiepro-bypass').each(function () {
        window.dataLayer.push({
          event: 'OneTrustGroupsUpdated',
          OnetrustActiveGroups: 'bypass'
        });
      });
    }
  };

}(jQuery, Drupal));
